﻿local mod = BigWigs:NewBoss("Cho'gall Worship Marker", 758)
if not mod then return end
mod:RegisterEnableMob(43324)

local counter = 1

function mod:OnBossEnable()
	self:Log("SPELL_AURA_APPLIED", "Worship", 91317, 93365, 93366, 93367)
	self:Log("SPELL_AURA_REMOVED", "Safe", 91317, 93365, 93366, 93367)

	self:RegisterEvent("INSTANCE_ENCOUNTER_ENGAGE_UNIT", "CheckBossStatus")

	self:Death("Disable", 43324)
end

function mod:OnEngage()
	counter = 1
end

do
	local scheduled = nil
	local function resetCounter()
		counter = 1
	end
	function mod:Worship(player)
		SetRaidTarget(player, counter)
		counter = counter + 1
		if not scheduled then
			scheduled = true
			self:ScheduleTimer(resetCounter, 0.3)
		end
	end
end

function mod:Safe(player)
	SetRaidTarget(player, 0)
end
